Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.localsearch.event
Interface LocalSearchPhaseLifecycleListener

All Superinterfaces:
  EventListener, SolverLifecycleListener

All Known Subinterfaces:
  Acceptor, DeciderScoreComparatorFactory, Forager

All Known Implementing Classes:
  AbstractAcceptor, AbstractDeciderScoreComparatorFactory, AbstractForager, AbstractTabuAcceptor, AcceptedForager, CompositeAcceptor, DefaultLocalSearchPhase, EntityTabuAcceptor, HillClimbingAcceptor, LateAcceptanceAcceptor, LateSimulatedAnnealingAcceptor, LocalSearchPhaseLifecycleListenerAdapter, MoveTabuAcceptor, NaturalDeciderScoreComparatorFactory, ShiftingHardPenaltyDeciderScoreComparatorFactory, SimulatedAnnealingAcceptor, SolutionTabuAcceptor, StepCountingHillClimbingAcceptor, ValueTabuAcceptor

    public interface LocalSearchPhaseLifecycleListener

extends SolverLifecycleListener

Method Summary
`void` | `phaseEnded(LocalSearchPhaseScope phaseScope)`
`void` | `phaseStarted(LocalSearchPhaseScope phaseScope)`
`void` | `stepEnded(LocalSearchStepScope stepScope)`
`void` | `stepStarted(LocalSearchStepScope stepScope)`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Method Detail

### phaseStarted

    void phaseStarted(LocalSearchPhaseScope phaseScope)

### stepStarted

    void stepStarted(LocalSearchStepScope stepScope)

### stepEnded

    void stepEnded(LocalSearchStepScope stepScope)

### phaseEnded

    void phaseEnded(LocalSearchPhaseScope phaseScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.